docs_dir: docs/book
site_dir: docs/html
extra:
  project: Components
  current_version: v4
  versions:
    - v4
    - v3
    - v2
nav:
    - Home: index.md
    - v4:
      - "Quick Start": v4/quick-start.md
      - "Filters": v4/filter.md
      - "Strategies":
        - Introduction: v4/strategy.md
        - BackedEnum: v4/strategies/backed-enum.md
        - Collection: v4/strategies/collection.md
        - DateTimeImmutableFormatter: v4/strategies/datetime-immutable-formatter-strategy.md
        - Hydrator: v4/strategies/hydrator.md
        - Serializable: v4/strategies/serializable.md
      - "Aggregates": v4/aggregate.md
      - "Naming Strategies":
        - "Introduction": v4/naming-strategy/intro.md
        - "Identity": v4/naming-strategy/identity-naming-strategy.md
        - "Mapping": v4/naming-strategy/map-naming-strategy.md
        - "Underscore Mapping": v4/naming-strategy/underscore-naming-strategy.md
        - "Composite": v4/naming-strategy/composite-naming-strategy.md
      - "Plugin Managers": v4/plugin-managers.md
      - Migration: v4/migration.md
    - v3:
      - "Quick Start": v3/quick-start.md
      - "Filters": v3/filter.md
      - "Strategies":
        - Introduction: v3/strategy.md
        - Collection: v3/strategies/collection.md
        - DateTimeImmutableFormatter: v3/strategies/datetime-immutable-formatter-strategy.md
        - Hydrator: v3/strategies/hydrator.md
        - Serializable: v3/strategies/serializable.md
      - "Aggregates": v3/aggregate.md
      - "Naming Strategies":
        - "Introduction": v3/naming-strategy/intro.md
        - "Identity": v3/naming-strategy/identity-naming-strategy.md
        - "Mapping": v3/naming-strategy/map-naming-strategy.md
        - "Underscore Mapping": v3/naming-strategy/underscore-naming-strategy.md
        - "Composite": v3/naming-strategy/composite-naming-strategy.md
      - "Plugin Managers": v3/plugin-managers.md
      - Migration: v3/migration.md
    - v2:
        - "Quick Start": v2/quick-start.md
        - Reference:
          - "Filters": v2/filter.md
          - "Strategies": v2/strategy.md
          - "Aggregates": v2/aggregate.md
          - "Naming Strategies":
            - "Identity": v2/naming-strategy/identity-naming-strategy.md
            - "Mapping": v2/naming-strategy/map-naming-strategy.md
            - "Underscore Mapping": v2/naming-strategy/underscore-naming-strategy.md
            - "Composite": v2/naming-strategy/composite-naming-strategy.md
site_name: laminas-hydrator
site_description: "Serialize objects to arrays, and vice versa"
repo_url: 'https://github.com/laminas/laminas-hydrator'
plugins:
  - search
  - redirects:
      redirect_maps:
        aggregate.md: v2/aggregate.md
        filter.md: v2/filter.md
        naming-strategy/composite-naming-strategy.md: v2/naming-strategy/composite-naming-strategy.md
        naming-strategy/identity-naming-strategy.md: v2/naming-strategy/identity-naming-strategy.md
        naming-strategy/map-naming-strategy.md: v2/naming-strategy/map-naming-strategy.md
        naming-strategy/underscore-naming-strategy.md: v2/naming-strategy/underscore-naming-strategy.md
        quick-start.md: v2/quick-start.md
        strategy.md: v2/strategy.md
